### Signal

# Gtk EntryBuffer::inserted-text

since: 4.0

#### Declaration

    void
    inserted_text (
      GtkEntryBuffer* self,
      guint position,
      gchar* chars,
      guint n_chars,
      gpointer user_data
    )

#### Description [src]

This signal is emitted after text is inserted into the buffer.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.
Available since: 4.0

#### Parameters

`position`

  Type: `guint`

  The position the text was inserted at.

`chars`

  Type: `gchar*`

  The text that was inserted.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`n_chars`

  Type: `guint`

  The number of characters that were inserted.